Create Debit Line Item - m3ter Documentation
Create Debit Line Item
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "<string>",
"accountingProductId": "<string>",
"description": "<string>",
"amount": 1,
"referencedBillId": "<string>",
"referencedLineItemId": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"version": 123,
"reasonId": "<string>",
"amountToApplyOnBill": 123,
"debitReasonId": "<string>"
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems"
payload = {
"productId": "<string>",
"accountingProductId": "<string>",
"description": "<string>",
"amount": 1,
"referencedBillId": "<string>",
"referencedLineItemId": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"version": 123,
"reasonId": "<string>",
"amountToApplyOnBill": 123,
"debitReasonId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: '<string>',
accountingProductId: '<string>',
description: '<string>',
amount: 1,
referencedBillId: '<string>',
referencedLineItemId: '<string>',
servicePeriodStartDate: '2023-11-07T05:31:56Z',
servicePeriodEndDate: '2023-11-07T05:31:56Z',
version: 123,
reasonId: '<string>',
amountToApplyOnBill: 123,
debitReasonId: '<string>'
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'productId' => '<string>',
'accountingProductId' => '<string>',
'description' => '<string>',
'amount' => 1,
'referencedBillId' => '<string>',
'referencedLineItemId' => '<string>',
'servicePeriodStartDate' => '2023-11-07T05:31:56Z',
'servicePeriodEndDate' => '2023-11-07T05:31:56Z',
'version' => 123,
'reasonId' => '<string>',
'amountToApplyOnBill' => 123,
'debitReasonId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems"
payload := strings.NewReader("{\n \"productId\": \"<string>\",\n \"accountingProductId\": \"<string>\",\n \"description\": \"<string>\",\n \"amount\": 1,\n \"referencedBillId\": \"<string>\",\n \"referencedLineItemId\": \"<string>\",\n \"servicePeriodStartDate\": \"2023-11-07T05:31:56Z\",\n \"servicePeriodEndDate\": \"2023-11-07T05:31:56Z\",\n \"version\": 123,\n \"reasonId\": \"<string>\",\n \"amountToApplyOnBill\": 123,\n \"debitReasonId\": \"<string>\"}\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"productId\": \"<string>\",\n \"accountingProductId\": \"<string>\",\n \"description\": \"<string>\",\n \"amount\": 1,\n \"referencedBillId\": \"<string>\",\n \"referencedLineItemId\": \"<string>\",\n \"servicePeriodStartDate\": \"2023-11-07T05:31:56Z\",\n \"servicePeriodEndDate\": \"2023-11-07T05:31:56Z\",\n \"version\": 123,\n \"reasonId\": \"<string>\",\n \"amountToApplyOnBill\": 123,\n \"debitReasonId\": \"<string>\"}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"productId\": \"<string>\",\n \"accountingProductId\": \"<string>\",\n \"description\": \"<string>\",\n \"amount\": 1,\n \"referencedBillId\": \"<string>\",\n \"referencedLineItemId\": \"<string>\",\n \"servicePeriodStartDate\": \"2023-11-07T05:31:56Z\",\n \"servicePeriodEndDate\": \"2023-11-07T05:31:56Z\",\n \"version\": 123,\n \"reasonId\": \"<string>\",\n \"amountToApplyOnBill\": 123,\n \"debitReasonId\": \"<string>\"}"
response = http.request(request)
puts response.read_body
Response Structure
Success Response
200
{
"id": "<string>",
"version": 123,
"productId": "<string>",
"description": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"referencedBillId": "<string>",
"referencedLineItemId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"amount": 123,
"debitReasonId": "<string>"
}
Error Responses
4XX, 5XX
{
"message": "<string>"
}
Parameters
- orgId: required, UUID of the Organization.
- billId: required, UUID of the bill.